Query task list

Lists readable export tasks in the current workspace.

POST https://moi.matrixorigin.cn/newmoi/export/task/list

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

The example below uses:

  • $AI_STUDIO_API_KEY: The actual personal access token, passed through the X-API-Key Header.

  • $WORKSPACE_ID: Target workspace ID, passed through X-Workspace-ID Header.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/export/task/list" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d '{
  }'

Request body

An empty object can be used to read the default list. The following filter and sort fields can also be passed in.

Field

Type

Is it required

Description

limit

integer

No

This page returns the number of items; if not passed, it will be 20.

offset

integer

no

Paging offset.

connector_name

string

No

Filter by target connector name.

task_id

string

No

Filter by export task ID.

order_by

string

No

Order field: created_at, ended_at, status or name.

order_direction

string

No

Sorting direction: asc is ascending order; not passed or other values ​​are descending order.

statuses

integer[]

No

Filter by task status.

creator

string

No

Filter by creator.

[] after a type denotes an array. [] in a field path denotes each item in an array.

Successful response

Returns 200 on success. data.tasks is the list of tasks that can be read by the current identity, and data.total is the total number of tasks matching the filter conditions.

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "tasks": [{
      "id": "export-task-123",
      "name": "export-to-s3",
      "connector_name": "target-s3",
      "type": 5,
      "status": 1,
      "export_source": [["volume-001", "reports", "summary.csv"]],
      "create_time": "2026-08-18T10:00:00Z",
      "end_time": null,
      "fileSuccess": 3,
      "fileFail": 1
    }],
    "total": 1
  }
}

The response fields are as follows.

Field

Type

Description

code

string

OK on success.

msg

string

OK on success.

data.tasks

object[]

Export task list.

data.tasks[].id

string

Task ID.

data.tasks[].name

string

Task name.

data.tasks[].connector_name

string

Target connector name.

data.tasks[].type

integer

Export target category: 3 for MatrixOne, 4 for OSS, 5 for standard S3.

data.tasks[].status

integer

0 pending, 1 running, 2 completed, 3 failed.

data.tasks[].export_source

string[][]

A collection of source file paths.

data.tasks[].create_time

string or null

Creation time.

data.tasks[].end_time

string or null

End time; null if not ended.

data.tasks[].fileSuccess

integer

The number of files that have been successfully exported.

data.tasks[].fileFail

integer

The number of files that failed to export.

data.total

integer

The total number of tasks matching the current filter conditions.

Error response

Server-side business errors may be returned using HTTP 200 in this compatible interface.

{
  "code": "ErrServer",
  "msg": "Internal server error",
  "data": null
}

Common HTTP errors

HTTP status code

error code

Common causes

Recommended actions

400

The request body cannot be parsed; this compatible path returns an error field.

Check pagination, status filtering and sorting field types.

200

ErrServer

List query failed.

Try again later; if it continues to fail, contact your administrator.

403

ErrForbidden

The current identity does not have permission to read the export task.

Request that read permission be granted to the export task.

503

ErrCoreAuthorizeUnavailable

Authorization service is temporarily unavailable.

Try again later.

Follow-up operations

Save the ID of the target task, and then Query task details or Query task status.

Last updated on